NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.CompDrawingBuilder Class Reference

Represents a NXOpen.Tooling.CompDrawingBuilder which is used to create or edit the Component Drawing. More...

Inheritance diagram for NXOpen.Tooling.CompDrawingBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ComponentTypeSelection { All }
 Specifies the type of components. More...
 
enum  DrawingType { None, NonMaster, SelfContained }
 Specifies the drawing type. More...
 
enum  FilterSelection { Type, Drawing, All }
 Specifies the filter of components. More...
 
enum  ProjectionType { FirstAngleProjection, ThirdAngleProjection }
 Specifies the project type. More...
 

Public Member Functions

unsafe void AddCompSheet (NXOpen.NXObject component, string componentPartName, string drawingFileName, string drawingName, string templateName)
 Add a new sheet to a component. More...
 
unsafe void AssignAttribute (NXOpen.NXObject objectTag, string attributeTitle, string attributeValue)
 Assign attribute to object More...
 
unsafe void CreateAll ()
 Creates all drawings. More...
 
unsafe void CreateCompDrawing (NXOpen.NXObject component, string componentPartName, string drawingFileName, string drawingName, string templateName)
 Creates a drawing for a component More...
 
unsafe void CreateComponentDrawingCopyAttribute (NXOpen.NXObject component, string componentPartName, string drawingFileName, string drawingName, string templateName, string[] attributeTitles, string[] attributeValues)
 Creates a drawing for a component and copy attribute to the drawing part More...
 
unsafe void CreateDrawing (string pName, string dFile, string dName, string templateName)
 Creates a drawing. More...
 
unsafe void DeleteCompDrawing (NXOpen.NXObject component, string componentPartName, string drawingFileName, string drawingName, string templateName)
 Deletes drawings in self-contained part or deletes a master model part with drawings More...
 
unsafe void DeleteCompSheet (NXOpen.NXObject component, string componentPartName, string drawingFileName, string drawingName, string templateName)
 Deletes a sheet from a component. More...
 
unsafe void DeleteDrawing (string pName, string dFile, string dName, string templateName)
 Deletes a drawing. More...
 
unsafe void EditCompDrawing (NXOpen.NXObject component, string componentPartName, string drawingFileName, string drawingName, string templateName, string oldSheetName)
 Edits a drawing in a component. More...
 
unsafe void EditDrawing (string pName, string dFile, string dName, string templateName)
 Edits a drawing. More...
 
unsafe void InitConstructor ()
 Initializes the component drawing value. More...
 
unsafe void OpenCompDrawing (NXOpen.NXObject component, string componentPartName, string drawingFileName, string drawingName, string templateName)
 Opens a drawing in a component. More...
 
unsafe void OpenDrawing (string pName, string dFile, string dName, string templateName)
 Opens a drawing. More...
 
unsafe void SetDisplayState (int displayState, string layout, NXOpen.NXObject drawingTag)
 Set display state More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Assemblies.SelectComponent 
Component [get]
 Returns the component to create drawing. More...
 
unsafe
NXOpen.Tooling.CompDrawingBuilder.ComponentTypeSelection 
ComponentType [get, set]
 Returns or sets the component type in mold or die project assembly. More...
 
unsafe string DrawingFileNamingRule [get, set]
 Returns or sets the naming rule of drawing files. More...
 
unsafe
NXOpen.Tooling.CompDrawingBuilder.DrawingType 
DrawingFilter [get, set]
 Returns or sets the drawing component drawing filter. More...
 
unsafe string DrawingSheetNamingRule [get, set]
 Returns or sets the naming rule of drawing sheets. More...
 
unsafe
NXOpen.Tooling.CompDrawingBuilder.FilterSelection 
Filter [get, set]
 Returns or sets the filter to select component for drawing. More...
 
unsafe bool IsKeepDrawingOpen [get, set]
 Returns or sets the option whether to keep drawing open. More...
 
unsafe int Margin [get, set]
 Returns or sets the margin for user defined drawing template. More...
 
unsafe double MarginForView [get, set]
 Returns or sets the margin for view for user defined drawing template. More...
 
unsafe
NXOpen.Tooling.CompDrawingBuilder.ProjectionType 
Projection [get, set]
 Returns or sets the drawing projection angle. More...
 
unsafe int WizardType [get, set]
 Returns or sets the wizard type attribute More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.CompDrawingBuilder which is used to create or edit the Component Drawing.

To create a new instance of this class, use NXOpen.Tooling.ToolingDrawingCollection.CreateComponentDrawingBuilder

Default values.

Property Value

ComponentType

All

DrawingFilter

None

Filter

Type

IsKeepDrawingOpen

0

Margin

15

Projection

FirstAngleProjection

Created in NX8.0.0

Member Enumeration Documentation

Specifies the type of components.

Enumerator
All 

the type of components, read from configuration file

Specifies the drawing type.

Enumerator
None 

without drawing

NonMaster 

with non-master drawing

SelfContained 

with self-contained drawing

Specifies the filter of components.

Enumerator
Type 

filter components by type

Drawing 

filter componnets by drawing

All 

list all components

Specifies the project type.

Enumerator
FirstAngleProjection 

first angle projection

ThirdAngleProjection 

third angle projection

Member Function Documentation

unsafe void NXOpen.Tooling.CompDrawingBuilder.AddCompSheet ( NXOpen.NXObject  component,
string  componentPartName,
string  drawingFileName,
string  drawingName,
string  templateName 
)
inline

Add a new sheet to a component.

Created in NX8.5.0

License requirements: None.

Parameters
component
componentPartNamecomponent part name
drawingFileNamedrawing file name
drawingNamedrawing name
templateNametemplate name
unsafe void NXOpen.Tooling.CompDrawingBuilder.AssignAttribute ( NXOpen.NXObject  objectTag,
string  attributeTitle,
string  attributeValue 
)
inline

Assign attribute to object

Created in NX1847.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
objectTagobject tag
attributeTitleattribute title
attributeValueattribute value
unsafe void NXOpen.Tooling.CompDrawingBuilder.CreateAll ( )
inline

Creates all drawings.

Created in NX8.0.0

License requirements: None.

unsafe void NXOpen.Tooling.CompDrawingBuilder.CreateCompDrawing ( NXOpen.NXObject  component,
string  componentPartName,
string  drawingFileName,
string  drawingName,
string  templateName 
)
inline

Creates a drawing for a component

Created in NX8.5.0

Deprecated in NX10.0.0. Use NXOpen.Tooling.CompDrawingBuilder.CreateComponentDrawingCopyAttribute instead.

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
component
componentPartNamecomponent part name
drawingFileNamedrawing file name
drawingNamedrawing name
templateNametemplate name
unsafe void NXOpen.Tooling.CompDrawingBuilder.CreateComponentDrawingCopyAttribute ( NXOpen.NXObject  component,
string  componentPartName,
string  drawingFileName,
string  drawingName,
string  templateName,
string[]  attributeTitles,
string[]  attributeValues 
)
inline

Creates a drawing for a component and copy attribute to the drawing part

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
component
componentPartNamecomponent part name
drawingFileNamedrawing file name
drawingNamedrawing name
templateNametemplate name
attributeTitlesattribute titles
attributeValuesattribute values
unsafe void NXOpen.Tooling.CompDrawingBuilder.CreateDrawing ( string  pName,
string  dFile,
string  dName,
string  templateName 
)
inline

Creates a drawing.

Created in NX8.0.0

Deprecated in NX8.5.0. Use NXOpen.Tooling.CompDrawingBuilder.CreateCompDrawing instead.

License requirements: None.

Parameters
pName
dFile
dName
templateName
unsafe void NXOpen.Tooling.CompDrawingBuilder.DeleteCompDrawing ( NXOpen.NXObject  component,
string  componentPartName,
string  drawingFileName,
string  drawingName,
string  templateName 
)
inline

Deletes drawings in self-contained part or deletes a master model part with drawings

Created in NX8.5.0

License requirements: None.

Parameters
component
componentPartNamecomponent part name
drawingFileNamedrawing file name
drawingNamedrawing name
templateNametemplate name
unsafe void NXOpen.Tooling.CompDrawingBuilder.DeleteCompSheet ( NXOpen.NXObject  component,
string  componentPartName,
string  drawingFileName,
string  drawingName,
string  templateName 
)
inline

Deletes a sheet from a component.

Created in NX8.5.0

License requirements: None.

Parameters
component
componentPartNamecomponent part name
drawingFileNamedrawing file name
drawingNamedrawing name
templateNametemplate name
unsafe void NXOpen.Tooling.CompDrawingBuilder.DeleteDrawing ( string  pName,
string  dFile,
string  dName,
string  templateName 
)
inline

Deletes a drawing.

Created in NX8.0.0

Deprecated in NX8.5.0. Use NXOpen.Tooling.CompDrawingBuilder.DeleteCompDrawing instead.

License requirements: None.

Parameters
pName
dFile
dName
templateName
unsafe void NXOpen.Tooling.CompDrawingBuilder.EditCompDrawing ( NXOpen.NXObject  component,
string  componentPartName,
string  drawingFileName,
string  drawingName,
string  templateName,
string  oldSheetName 
)
inline

Edits a drawing in a component.

Created in NX8.5.0

License requirements: None.

Parameters
component
componentPartNamecomponent part name
drawingFileNamedrawing file name
drawingNamedrawing name
templateNametemplate name
oldSheetNameold sheet name
unsafe void NXOpen.Tooling.CompDrawingBuilder.EditDrawing ( string  pName,
string  dFile,
string  dName,
string  templateName 
)
inline

Edits a drawing.

Created in NX8.0.0

Deprecated in NX8.5.0. Use NXOpen.Tooling.CompDrawingBuilder.EditCompDrawing instead.

License requirements: None.

Parameters
pName
dFile
dName
templateName
unsafe void NXOpen.Tooling.CompDrawingBuilder.InitConstructor ( )
inline

Initializes the component drawing value.

Created in NX8.0.0

License requirements: None.

unsafe void NXOpen.Tooling.CompDrawingBuilder.OpenCompDrawing ( NXOpen.NXObject  component,
string  componentPartName,
string  drawingFileName,
string  drawingName,
string  templateName 
)
inline

Opens a drawing in a component.

Created in NX8.5.0

License requirements: None.

Parameters
component
componentPartNamecomponent part name
drawingFileNamedrawing file name
drawingNamedrawing name
templateNametemplate name
unsafe void NXOpen.Tooling.CompDrawingBuilder.OpenDrawing ( string  pName,
string  dFile,
string  dName,
string  templateName 
)
inline

Opens a drawing.

Created in NX8.0.0

Deprecated in NX8.5.0. Use NXOpen.Tooling.CompDrawingBuilder.OpenCompDrawing instead.

License requirements: None.

Parameters
pName
dFile
dName
templateName
unsafe void NXOpen.Tooling.CompDrawingBuilder.SetDisplayState ( int  displayState,
string  layout,
NXOpen.NXObject  drawingTag 
)
inline

Set display state

Created in NX1847.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
displayStatedisplay state
layoutlayout to open
drawingTag

Property Documentation

unsafe NXOpen.Assemblies.SelectComponent NXOpen.Tooling.CompDrawingBuilder.Component
get

Returns the component to create drawing.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Tooling.CompDrawingBuilder.ComponentTypeSelection NXOpen.Tooling.CompDrawingBuilder.ComponentType
getset

Returns or sets the component type in mold or die project assembly.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.CompDrawingBuilder.DrawingFileNamingRule
getset

Returns or sets the naming rule of drawing files.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.CompDrawingBuilder.DrawingType NXOpen.Tooling.CompDrawingBuilder.DrawingFilter
getset

Returns or sets the drawing component drawing filter.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.CompDrawingBuilder.DrawingSheetNamingRule
getset

Returns or sets the naming rule of drawing sheets.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.CompDrawingBuilder.FilterSelection NXOpen.Tooling.CompDrawingBuilder.Filter
getset

Returns or sets the filter to select component for drawing.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.CompDrawingBuilder.IsKeepDrawingOpen
getset

Returns or sets the option whether to keep drawing open.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe int NXOpen.Tooling.CompDrawingBuilder.Margin
getset

Returns or sets the margin for user defined drawing template.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.CompDrawingBuilder.MarginForView
getset

Returns or sets the margin for view for user defined drawing template.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.CompDrawingBuilder.ProjectionType NXOpen.Tooling.CompDrawingBuilder.Projection
getset

Returns or sets the drawing projection angle.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe int NXOpen.Tooling.CompDrawingBuilder.WizardType
getset

Returns or sets the wizard type attribute

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.